Reply
Explorer
Posts: 40
Registered: ‎08-29-2017

ClouderaHiveODBC unable to install in linux version 7

I want to install hive odbc connection in my linux server.

 

I tried to install 

 

yum install ClouderaHiveODBC-2.5.12.1005-1.el6.x86_64.rpm

 

Error: Package: ClouderaHiveODBC-2.5.12.1005-1.x86_64 (/ClouderaHiveODBC-2.5.12.1005-1.el6.x86_64)

           Requires: libsasl2.so.2()(64bit)

 

You could try using --skip-broken to work around the problem

** Found 3 pre-existing rpmdb problem(s), 'yum check' output follows:

libwbclient-4.2.3-10.el7.x86_64 has missing requires of samba-client-libs = ('0', '4.2.3', '10.el7')

libwbclient-4.2.3-10.el7.x86_64 has missing requires of libreplace-samba4.so()(64bit)

libwbclient-4.2.3-10.el7.x86_64 has missing requires of libreplace-samba4.so(SAMBA_4.2.3)(64bit)

 

I am using redhat linux 7 version x64. 

 

 

but cloudera has rhel 6 version. 

 

If i keep on download the dependency its going on for other dependency.

 

can u please help

 

thanks

Highlighted
Contributor
Posts: 52
Registered: ‎01-08-2016

Re: ClouderaHiveODBC unable to install in linux version 7

Hello Gayathridevi,

 

You can download & install ClouderaHiveODBC-2.5.24 for your OS version.

Expert Contributor
Posts: 126
Registered: ‎11-01-2013

Re: ClouderaHiveODBC unable to install in linux version 7

As per documentation, here's the steps to install ODBC driver, if dependencies do not get resolved, try the manual method given below

 

To install the Cloudera ODBC Driver for Apache Hive:

1. In Red Hat Enterprise Linux or CentOS, log in as the root user, then navigate to the folder
containing the driver RPM packages to install, and then type the following at the command
line, where RPMFileName is the file name of the RPM package containing the version of the
driver that you want to install:
 yum --nogpgcheck localinstall RPMFileName
OR

In SUSE Linux Enterprise Server, log in as the root user, then navigate to the folder
containing the driver RPM packages to install, and then type the following at the command
line, where RPMFileName is the file name of the RPM package containing the version of the
driver that you want to install:
 zypper install RPMFileName

 The Cloudera ODBC Driver for Apache Hive depends on the following resources:
 cyrus-sasl-2.1.22-7 or above
 cyrus-sasl-gssapi-2.1.22-7 or above
 cyrus-sasl-plain-2.1.22-7 or above
If the package manager in your Linux distribution cannot resolve the dependencies automatically
when installing the driver, then download and manually install the packages required by the
version ofthe driver that you want to install.

 

The Cloudera ODBC Driver for Apache Hive driver files are installed in the following directories:
 /opt/cloudera/hiveodbc contains release notes, the Cloudera ODBC Driver for Apache Hive
Installation and Configuration Guide in PDF format, and a Readme.txt file that provides
plain text installation and configuration instructions.
 /opt/cloudera/hiveodbc/ErrorMessages contains error message files required by the
driver.
 /opt/cloudera/hiveodbc/Setup contains sample configuration files named odbc.ini and
odbcinst.ini
 /opt/cloudera/hiveodbc/lib/32 contains the 32-bit shared libraries and the cloudera.hiveodbc.ini
configuration file.
 /opt/cloudera/hiveodbc/lib/64 contains the 64-bit shared libraries and the cloudera.hiveodbc.ini
configuration file.

Em Jay
Announcements